Album: Love Letters
Date: April 15, 2024
Date Added: June 12, 2024
URLs:
- https://circlejourney.bandcamp.com/album/love-letters
- https://www.youtube.com/playlist?list=OLAK5uy_lqjsH1EWm__OzRoZeT1fdZr7OaeeMre-U
- https://open.spotify.com/album/72KpHh8L9ZloORVQdnY11K
- https://music.apple.com/album/love-letters-single/1741295942
Artists:
- Circlejourney
Cover Artists:
- Circlejourney
Wallpaper Artists:
- Circlejourney
- Jebb (edits for wiki)
Cover Art File Extension: png
Wallpaper File Extension: png
Color: '#EB53BF'
Groups:
- Circlejourney
- Beyond
Commentary: |-
    <i>Circlejourney:</i> ([Bandcamp about blurb](https://circlejourney.bandcamp.com/album/love-letters))
    Three songs about three times I was in love.
---
Track: Return to Sender
Duration: 03:43
Referenced Tracks:
- Petite Suite IV. Ballet - for Piano 4 hands
URLs:
- https://circlejourney.bandcamp.com/track/return-to-sender
- https://www.youtube.com/watch?v=EJCcw4ejmZU
- https://open.spotify.com/track/4k6Gnw7ZmIHyqiDHRxfgRA
- https://music.apple.com/album/return-to-sender/1741295942?i=1741295943
Lyrics: |-
    Here falls a light rain
    A brush, a spark
    I see her take her aim
    Watch her hit the mark
    And from her fingers
    It makes a perfect arc
    Out of her hands and into my heart

    We pick a piece
    And sneak to the wing
    She doesn't notice
    How my heart is racing
    And when our hands cross
    The keys are ringing
    Love is a cage and how my heart sings

    Here falls a light rain
    A brush, a spark
    I see her take her aim
    Watch her hit the mark
    And from her fingers
    It makes a perfect arc
    Out of her hands and into my heart

    (Yeah)

    I learned young, sometimes
    You fall for people out of reach
    Love's a song where the rhymes
    Don't match or fall on the beat
    But sing it, even vain
    Life is fleeting, heartbreak won't be this sweet again

    Here falls a light rain, a brush, a spark
    I see her take her aim, watch her hit the mark
    And from her fingers, it makes a perfect arc
    Out of her hands and into my heart

    (She falls asleep)
    We pick a piece
    And sneak to the wing
    (Right next to me)
    She doesn't notice
    How my heart is racing
    (Each song I write)
    And when our hands cross
    The keys are ringing
    (Keep me up at night)
    Love is a cage and how my heart sings

    Night sky, ocean stirs
    We stargaze together
    Somewhere untamed
    I name the stars for her
    Moonstruck, I look away
    As always, nothing stays
    But eight years, still I
    Dream of her at night

    Here falls a light rain
    Oh, what have I become
    She falls asleep again
    I want her in my arms
    She takes me home
    She looks me in the eye
    And says she has a boy

    Does she remember
    The hall in evening light
    Every December (Does she remember)
    The songs I used to write (The hall in evening light)
    And all the letters (Every December)
    My love was waking (The songs I used to write)
    Return to sender (And all the letters)
    My heart was breaking

    My heart's a bird that's learning to sing

    (Won't you look this way)
    Here falls a light rain
    A brush, a spark
    I see her take her aim
    Watch her hit the mark
    And from her fingers
    It makes a perfect arc
    Out of her hands and into my heart

    (Won't you look this way)
    We pick a piece
    Hall piano playing
    (Right next to me)
    She doesn't notice
    How my heart is racing
    (Return to sender)
    And when our hands cross
    The bells are ringing
    Love is a cage and how my heart sings

    Young love is such a bittersweet thing
---
Track: Lost in Transmission
Duration: 04:27
Contributors:
- D. Taylor (editing for Japanese lyrics)
Referenced Tracks:
- The Wind Forest
Sampled Tracks:
- SCORE Audio
URLs:
- https://circlejourney.bandcamp.com/track/lost-in-transmission
- https://www.youtube.com/watch?v=lD-Rnc61jS8
- https://open.spotify.com/track/5AB2xvuvr0kpG6jVH4teSX?si=8d8851238e6e48ec
- https://music.apple.com/album/lost-in-transmission/1741295942?i=1741295944
Lyrics: |-
    We stood and watched the satellites fly
    And we held hands but never kissed goodbye
    I will name a planet, tell me how far it lies
    Tell me how it will die, tell me where in the sky it is
    Three stars stand in a line
    Our sign on the celestial sphere
    One end points to Spica, and one to Arcturus
    We tried to cry but no one could hear us

    We were tears running in the rain
    On a one way plane, on a runaway train
    Was it love or envy, love or envy
    That kept him with me, that kept him with me
    We were just two lovers lying on the ground
    Watch the sky turn round, watch it die and drown
    Was it love or envy, love or envy
    That kept him with me, that kept him with me

    We saw our reflections in a window
    And we looked like a king and queen though
    I will name the stars, tell me how bright they burn
    Tell me how they will die
    Tell me how they will turn for us
    Vega, Deneb and Altair
    Read our fates in the star-crossed lovers
    We were just too young, I was just too broken
    But our eyes were closed, and our hearts were open

    We were tears running in the rain
    On a one way plane, on a runaway train
    Was it love or envy, love or envy
    That kept him with me, that kept him with me
    We were just two lovers lying on the ground
    Watch the sky turn round, watch it die and drown
    Was it love or envy, love or envy
    That kept him with me, that kept him with me

    Every word was like a signal from a satellite
    However hard I tried, I couldn't find a way to write
    An ending for our tale, so stops and starts without a fight
    It was to no avail, I took a flight and vanished in the night

    (Through the marvels of planetary advancement
    My voice is coming to you from a satellite
    Circling in outer space
    My message is a simple one)

    We were tears running in the rain
    On a one way plane, on a runaway train
    Was it love or envy, love or envy
    That kept him with me, that kept him with me
    We were just two lovers lying on the ground
    Watch the sky turn round, watch it die and drown
    Was it love or envy, love or envy
    That kept him with me, that kept him with me, yeah

    Ame wa futteta
    Anata no kao ga
    Watashi no me ni
    Munashiku utsutteta
    Hoshi ga kawatteta
    Sora ga mawatteta
    Waratte naite
    Futari ga kawatteta

    (<i>We were tears running in the rain
    On a one way plane, on a runaway train
    Was it love or envy, love or envy
    That kept him with me, that kept him with me
    We were just two lovers lying on the ground
    Watch the sky turn round, watch it die and drown
    Was it love or envy, love or envy
    That kept him with me, that kept him with me</i>)
---
Track: Signal Flare
Duration: 04:00
URLs:
- https://circlejourney.bandcamp.com/track/signal-flare
- https://www.youtube.com/watch?v=xSo-hvLnTrM
- https://open.spotify.com/track/6kkdGiYQsFpHTEOIcQeVLf?si=8bbb3966833c4adf
- https://music.apple.com/album/signal-flare/1741295942?i=1741295945
Lyrics: |-
    By the time you hear this, you'll know the ways I'm in pain
    You'd've seen me curled on the floor screaming for help again
    I'm never hoping that anyone will come
    But you did, whoa
    Sometimes I'm a capsizing boat firing a flare
    Certain that the towns on the mountain can't see me up there
    Cities and ports in the storm, blinking for help that won't come
    But you did, whoa

    Why did you choose me? I don't know
    When thousands of people come and go
    And all the ones that we lose, we love till death or goodbye
    All will die, but God, it's worth a go

    Hold me in your arms like it's forever
    Let's forget the past but never ever
    Say it was a waste, for the taste of love, I'll have the pain
    If I gain nothing, still you were always worth the go
    You know, I love you so

    Do you still remember we sat at tables
    And talked the evening over
    And drank and mourned and walked
    Your plans for dinner that week, my fear of falling asleep
    I went home, whoa
    Bridges where we stood and decided where we would go
    Pictures in the neighbourhood lights and cars going slow
    Trading the night for the day, the passing ships in the bay
    Where I roam, whoa

    Why did I choose you, I don't know
    When old doors are closing, new ones open
    Love is a ride, in time we all must alight
    Hold on tight, you know it's worth a go

    Hold me in your arms like it's forever
    Let's forget the past but never ever
    Say it was a waste, for the taste of love, I'll have the pain
    If I gain nothing, still you were always worth it
    So raise the sail, we answer to no nation
    Freedom means we need no destination
    So say, "We do it scared," 'cause we dared to brave the deep unknown
    Though I know nothing
    Still you are always worth the go
    You know I love you so

    When the signal starts to fade, I'm afraid to start a war
    Am I sending Morse to someone who's reading semaphore?
    Still we try to hear each other, each rhyme and metaphor
    Restring the lines each time, let's try once more

    (One, two, three)
    Hold me in your arms like it's forever
    Let's forget the past but never ever
    Say it was a waste, for the taste of love, I'll have the pain
    If I gain nothing, still you are always worth it
    So raise the sail, we answer to no nation
    Freedom means we need no destination
    So say, "We do it scared," 'cause we dared
    To brave the deep unknown
    Though I know nothing
    Still you are always worth the go
    You know I love you so
